### Enumeration

# Cogl PipelineAlphaFunc

#### Declaration

    enum Cogl.PipelineAlphaFunc

#### Description [src]

Alpha testing happens before blending primitives with the framebuffer and gives an opportunity to discard fragments based on a comparison with the incoming alpha value and a reference alpha value. The `CoglPipelineAlphaFunc` determines how the comparison is done.

#### Members

`COGL_PIPELINE_ALPHA_FUNC_NEVER`

  Never let the fragment through.

  - Value: `512`
  - Available since: 16
`COGL_PIPELINE_ALPHA_FUNC_LESS`

  Let the fragment through if the incoming alpha value is less than the reference alpha value.

  - Value: `513`
  - Available since: 16
`COGL_PIPELINE_ALPHA_FUNC_EQUAL`

  Let the fragment through if the incoming alpha value equals the reference alpha value.

  - Value: `514`
  - Available since: 16
`COGL_PIPELINE_ALPHA_FUNC_LEQUAL`

  Let the fragment through if the incoming alpha value is less than or equal to the reference alpha value.

  - Value: `515`
  - Available since: 16
`COGL_PIPELINE_ALPHA_FUNC_GREATER`

  Let the fragment through if the incoming alpha value is greater than the reference alpha value.

  - Value: `516`
  - Available since: 16
`COGL_PIPELINE_ALPHA_FUNC_NOTEQUAL`

  Let the fragment through if the incoming alpha value does not equal the reference alpha value.

  - Value: `517`
  - Available since: 16
`COGL_PIPELINE_ALPHA_FUNC_GEQUAL`

  Let the fragment through if the incoming alpha value is greater than or equal to the reference alpha value.

  - Value: `518`
  - Available since: 16
`COGL_PIPELINE_ALPHA_FUNC_ALWAYS`

  Always let the fragment through.

  - Value: `519`
  - Available since: 16